List all internal services in a Nacos group
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/servicesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthnacos_namespace*string
Nacos namespace name.
Length
1 <= lengthnacos_group*string
Nacos group.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/nacos/namespaces/public/groups/DEFAULT_GROUP/services"Successfully retrieved the list of Nacos services.
{
"list": [
"auth-service",
"user-service",
"order-service",
"payment-service",
"inventory-service"
],
"total": 5
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services
List all internal services in a Nacos group
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.nacos_namespace(path, string, required): Nacos namespace name.nacos_group(path, string, required): Nacos group.
Responses
200: Successfully retrieved the list of Nacos services.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of Nacos services.total(object, optional):400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services'